Bug 1569859 - tuned-gui segfaults
Summary: tuned-gui segfaults
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 07:06 UTC by Petr Sklenar
Modified: 2019-03-29 16:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 16:07:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Sklenar 2018-04-20 07:06:48 UTC
Description of problem:
tuned-gui segfaults, it cannot be started

Version-Release number of selected component (if applicable):
tuned-gtk-2.9.0-9.fc29.noarch

How reproducible:
always

Steps to Reproduce:
1.[root@qeos-22 ~]# which tuned-gui
/usr/sbin/tuned-gui
[root@qeos-22 ~]# rpm -qf /usr/sbin/tuned-gui
tuned-gtk-2.9.0-9.fc29.noarch

[root@qeos-22 ~]# systemctl restart tuned

[root@qeos-22 ~]# tuned-gui
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
Segmentation fault (core dumped)

[root@qeos-22 ~]# tuned-adm active
Current active profile: virtual-guest

[root@qeos-22 ~]# tuned-gui
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
Segmentation fault (core dumped)

Actual results:
Segmentation fault

Expected results:


Additional info:
Apr 20 02:58:00 qeos-22.lab.eng.rdu2.redhat.com systemd-coredump[13534]: Process 13527 (tuned-gui) of user 0 dumped core.

                                                                         Stack trace of thread 13527:
                                                                         #0  0x00007f4fc55ec4fd _gtk_style_provider_private_get_settings (libgtk-3.so.0)
                                                                         #1  0x00007f4fc547feb8 gtk_css_value_initial_compute (libgtk-3.so.0)
                                                                         #2  0x00007f4fc5495f58 gtk_css_static_style_compute_value (libgtk-3.so.0)
                                                                         #3  0x00007f4fc54812e2 _gtk_css_lookup_resolve (libgtk-3.so.0)
                                                                         #4  0x00007f4fc5495e80 gtk_css_static_style_new_compute (libgtk-3.so.0)
                                                                         #5  0x00007f4fc5495edd gtk_css_static_style_get_default (libgtk-3.so.0)
                                                                         #6  0x00007f4fc5481cd6 gtk_css_node_init (libgtk-3.so.0)
                                                                         #7  0x00007f4fcf27ce6d g_type_create_instance (libgobject-2.0.so.0)
                                                                         #8  0x00007f4fcf25f6c8 g_object_new_internal (libgobject-2.0.so.0)
                                                                         #9  0x00007f4fcf260e15 g_object_new_with_properties (libgobject-2.0.so.0)
                                                                         #10 0x00007f4fcf2619d1 g_object_new (libgobject-2.0.so.0)
                                                                         #11 0x00007f4fc549e70e gtk_css_widget_node_new (libgtk-3.so.0)
                                                                         #12 0x00007f4fc5681e4a gtk_widget_init (libgtk-3.so.0)
                                                                         #13 0x00007f4fcf27ce6d g_type_create_instance (libgobject-2.0.so.0)
                                                                         #14 0x00007f4fcf25f6c8 g_object_new_internal (libgobject-2.0.so.0)
                                                                         #15 0x00007f4fcf26116d g_object_newv (libgobject-2.0.so.0)
                                                                         #16 0x00007f4fc54273ba _gtk_builder_construct (libgtk-3.so.0)
                                                                         #17 0x00007f4fc5428995 builder_construct.isra.5 (libgtk-3.so.0)
                                                                         #18 0x00007f4fc542970d start_element (libgtk-3.so.0)
                                                                         #19 0x00007f4fcef82f21 emit_start_element (libglib-2.0.so.0)
                                                                         #20 0x00007f4fcef83fba g_markup_parse_context_parse (libglib-2.0.so.0)
                                                                         #21 0x00007f4fc542a77e _gtk_builder_parser_parse_buffer (libgtk-3.so.0)
                                                                         #22 0x00007f4fc54246a1 gtk_builder_add_from_file (libgtk-3.so.0)
                                                                         #23 0x00007f4fced3003e ffi_call_unix64 (libffi.so.6)
                                                                         #24 0x00007f4fced2f9ff ffi_call (libffi.so.6)
                                                                         #25 0x00007f4fcf6ffa7d pygi_invoke_c_callable (_gi.so)
                                                                         #26 0x00007f4fcf7015bc pygi_function_cache_invoke (_gi.so)
                                                                         #27 0x00007f4fcf6f4a13 _callable_info_call (_gi.so)
                                                                         #28 0x00007f4fdd23fdb7 PyObject_Call (libpython2.7.so.1.0)
                                                                         #29 0x00007f4fdd3197da PyEval_EvalFrameEx (libpython2.7.so.1.0)
                                                                         #30 0x00007f4fdd31f958 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                                                                         #31 0x00007f4fdd259342 function_call (libpython2.7.so.1.0)
                                                                         #32 0x00007f4fdd23fdb7 PyObject_Call (libpython2.7.so.1.0)
                                                                         #33 0x00007f4fdd24bace instancemethod_call (libpython2.7.so.1.0)
                                                                         #34 0x00007f4fdd23fdb7 PyObject_Call (libpython2.7.so.1.0)
                                                                         #35 0x00007f4fdd28fc16 slot_tp_init (libpython2.7.so.1.0)
                                                                         #36 0x00007f4fdd28d314 type_call (libpython2.7.so.1.0)
                                                                         #37 0x00007f4fdd23fdb7 PyObject_Call (libpython2.7.so.1.0)
                                                                         #38 0x00007f4fdd3197da PyEval_EvalFrameEx (libpython2.7.so.1.0)
                                                                         #39 0x00007f4fdd31f958 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                                                                         #40 0x00007f4fdd31fbfd PyEval_EvalCode (libpython2.7.so.1.0)
                                                                         #41 0x00007f4fdd325d5f run_mod (libpython2.7.so.1.0)
                                                                         #42 0x00007f4fdd325d10 PyRun_FileExFlags (libpython2.7.so.1.0)
                                                                         #43 0x00007f4fdd325b12 PyRun_SimpleFileExFlags (libpython2.7.so.1.0)
                                                                         #44 0x00007f4fdd32b9f0 Py_Main (libpython2.7.so.1.0)
                                                                         #45 0x00007f4fdc45d1eb __libc_start_main (libc.so.6)
                                                                         #46 0x000055d74f0e57ca _start (python2.7)

Comment 1 Michel Alexandre Salim 2018-08-09 23:46:53 UTC
It's happening to me on a laptop (Fedora 28, Wayland) but running fine on my desktop (Fedora 28, Xorg).

Once I log out on the laptop and log back in using Xorg, tuned-gui works. Logging out and logging back in as Wayland, the errors reoccur.

Comment 2 Michel Alexandre Salim 2018-08-09 23:53:21 UTC
(In reply to Michel Alexandre Salim from comment #1)
> It's happening to me on a laptop (Fedora 28, Wayland) but running fine on my
> desktop (Fedora 28, Xorg).
> 
> Once I log out on the laptop and log back in using Xorg, tuned-gui works.
> Logging out and logging back in as Wayland, the errors reoccur.

Note: I don't get a segfault though, tuned-gui (from tuned-gtk-2.10.0-4.fc28.noarch) exits with error code 0

Reported upstream too:
https://github.com/redhat-performance/tuned/issues/118

Comment 3 Jan Kurik 2018-08-14 10:06:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Jaroslav Škarvada 2019-03-29 16:07:36 UTC
I guess it has been fixed in tuned-2.11 by rewrite of significant parts of the tuned-gui thanks to Tomas Korbar, so closing. Feel free to reopen if the problem persists.


Note You need to log in before you can comment on or make changes to this bug.